<?php

class NullEvent extends CComponent implements IVehicleEvent
{

  public function getCustom_nationality()
  {
    return null;
  }
  
  public function getCustom_vehicle_type()
	{
		return null;
	}
  public function getID()
	{
		return null;
	}
	
  public function getSpeed()
  {
    return -1;
  }

  public function getVehicleSpeed()
  {
  	return $this->Speed;
  }
  
  
  public function getKemler()
  {
    return "-";
  }

  public function getPlate()
  {
    return "-";
  }

  public function getColorSet()
  {
    return null;
  }
  public function getNationalityCode()
  {   
  	return null;
  }
  public function getEventDateTime()
  {
  	return null;
  }
  public function getGateLabel()
  {
  	return '';
  }
  public function getGateShortLabel()
  {
  	return '';
  }  
  public function getSpeedLimitSignList()
  {
		return null;
  }
  public function getVehicleClass()
  {
  	return null;
  }
  
  public function getPreviewPhotoUrl()
  {
  	return null;
  }
  public function getPreviewColorPhotoUrl()
  {
		return null;
  }
  public function getYellowBarType()
  {
  	return null;
  }
}
